| Home · All Classes · All Namespaces · Modules · Functions · Files

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- ~

Here is a list of all class members with links to the classes they belong to:

### - c -

- CallStateChanged() : ChannelInterfaceCallStateInterface
- Cancel() : ChannelRequestInterface
- canHaveMessage : SimpleStatusSpec
- capabilities : HandlerCapabilities , Connection
- Capabilities : ClientHandlerInterface
- CapabilitiesChanged() : ConnectionInterfaceCapabilitiesInterface
- capabilitiesInterface() : Connection
- caps : Connection
- channel : ChannelDetails , ChannelInfo
- ChannelCallStateMap() : ChannelCallStateMap
- ChannelClass() : ChannelClass
- channelClasses : HandlerCapabilities
- ChannelClosed() : ConnectionInterfaceRequestsInterface
- ChannelDispatcherInterface() : ChannelDispatcherInterface
- ChannelDispatchOperationInterface() : ChannelDispatchOperationInterface
- ChannelInterface() : ChannelInterface
- ChannelInterfaceCallStateInterface() : ChannelInterfaceCallStateInterface
- ChannelInterfaceChatStateInterface() : ChannelInterfaceChatStateInterface
- ChannelInterfaceDTMFInterface() : ChannelInterfaceDTMFInterface
- ChannelInterfaceGroupInterface() : ChannelInterfaceGroupInterface
- ChannelInterfaceHoldInterface() : ChannelInterfaceHoldInterface
- ChannelInterfaceMediaSignallingInterface() : ChannelInterfaceMediaSignallingInterface
- ChannelInterfaceMessagesInterface() : ChannelInterfaceMessagesInterface
- ChannelInterfacePasswordInterface() : ChannelInterfacePasswordInterface
- ChannelInterfaceTubeInterface() : ChannelInterfaceTubeInterface
- ChannelLost() : ChannelDispatchOperationInterface
- ChannelRequestInterface() : ChannelRequestInterface
- Channels : ChannelDispatchOperationInterface , ConnectionInterfaceRequestsInterface , ChannelDispatchOperationInterface , ConnectionInterfaceRequestsInterface
- ChannelType : ChannelInterface
- channelType : CapabilityChange , CapabilityPair , ChannelInfo , ContactCapability , RoomInfo
- ChannelTypeContactListInterface() : ChannelTypeContactListInterface
- ChannelTypeFileTransferInterface() : ChannelTypeFileTransferInterface
- ChannelTypeRoomListInterface() : ChannelTypeRoomListInterface
- ChannelTypeStreamedMediaInterface() : ChannelTypeStreamedMediaInterface
- ChannelTypeStreamTubeInterface() : ChannelTypeStreamTubeInterface
- ChannelTypeTextInterface() : ChannelTypeTextInterface
- ChannelTypeTubesInterface() : ChannelTypeTubesInterface
- ChatStateChanged() : ChannelInterfaceChatStateInterface
- checkFeatureRosterGroupsReady() : Connection
- CheckInterfaceSupported : OptionalInterfaceFactory< DBusProxySubclass >
- Claim() : ChannelDispatchOperationInterface
- ClearAvatar() : ConnectionInterfaceAvatarsInterface
- ClearStatus() : ConnectionInterfacePresenceInterface
- ClientApproverInterface() : ClientApproverInterface
- ClientHandlerInterface() : ClientHandlerInterface
- ClientInterface() : ClientInterface
- ClientInterfaceRequestsInterface() : ClientInterfaceRequestsInterface
- ClientObserverInterface() : ClientObserverInterface
- clockRate : MediaStreamHandlerCodec
- Close() : ChannelInterface , MediaStreamHandlerInterface
- Closed() : ChannelInterface
- CloseTube() : ChannelTypeTubesInterface
- CodecChoice() : MediaStreamHandlerInterface
- codecID : MediaStreamHandlerCodec
- CodecsUpdated() : MediaStreamHandlerInterface
- componentNumber : MediaStreamHandlerTransport
- Connect() : ConnectionInterface
- ConnectAutomatically : AccountInterface
- Connection : AccountInterface , ChannelDispatchOperationInterface , AccountInterface , Connection , ChannelDispatchOperationInterface
- ConnectionClosed() : ChannelTypeStreamTubeInterface
- ConnectionError() : ConnectionInterface
- ConnectionInterface() : ConnectionInterface
- ConnectionInterfaceAliasingInterface() : ConnectionInterfaceAliasingInterface
- ConnectionInterfaceAvatarsInterface() : ConnectionInterfaceAvatarsInterface
- ConnectionInterfaceCapabilitiesInterface() : ConnectionInterfaceCapabilitiesInterface
- ConnectionInterfaceContactCapabilitiesInterface() : ConnectionInterfaceContactCapabilitiesInterface
- ConnectionInterfaceContactsInterface() : ConnectionInterfaceContactsInterface
- ConnectionInterfacePresenceInterface() : ConnectionInterfacePresenceInterface
- ConnectionInterfaceRequestsInterface() : ConnectionInterfaceRequestsInterface
- ConnectionInterfaceSimplePresenceInterface() : ConnectionInterfaceSimplePresenceInterface
- ConnectionManager() : ConnectionManager
- ConnectionManagerInterface() : ConnectionManagerInterface
- ConnectionStatus() : AccountInterface
- ConnectionStatusReason() : AccountInterface
- constCast() : SharedPtr< T >
- constData() : SharedPtr< T >
- contact : MediaStreamInfo
- ContactAttributeInterfaces() : ConnectionInterfaceContactsInterface
- contactAttributeInterfaces() : Connection
- contactAttributes() : Connection
- ContactAttributesMap() : ContactAttributesMap
- ContactCapabilitiesChanged() : ConnectionInterfaceContactCapabilitiesInterface
- contactCapabilitiesInterface() : Connection
- ContactCapabilitiesMap() : ContactCapabilitiesMap
- contactListChannels : Connection
- contactListChannelsReady : Connection
- contactListGroupChannels : Connection
- contactManager : Connection
- ContactPresences() : ContactPresences
- ContentHash : ChannelTypeFileTransferInterface
- ContentHashType() : ChannelTypeFileTransferInterface
- ContentType() : ChannelTypeFileTransferInterface
- create() : Connection , ChannelFactory , Connection , ConnectionManager
- CreateAccount() : AccountManagerInterface
- CreateChannel() : ChannelDispatcherInterface
- createChannel() : Connection
- CreateChannel() : ConnectionInterfaceRequestsInterface
- CreatedLocally() : MediaStreamHandlerInterface
- CurrentPresence() : AccountInterface